[ALERT7396] Problème sur les anciennes versions de nos produits pour Windows

Last Updated: Feb 11, 2020, 10:30 PM CET

Détails

Nous tenons à vous informer que nous avons identifié un problème sur les anciennes versions de nos produits pour Windows:

ESET Endpoint Antivirus/ESET Endpoint Security 5
Version
5.0.2248.0
5.0.2254.0
5.0.2254.1
5.0.2254.1000
5.0.2260.0
5.0.2260.1
5.0.2265.0
5.0.2265.1
ESET Endpoint Antivirus/ESET Endpoint Security 6.5.2000+
Version
6.5.2086.0
6.5.2086.1
6.5.2093.1
6.5.2094.0
6.5.2094.1
6.5.2107.0
6.5.2107.1
6.5.2118.0
6.5.2118.1
6.5.2118.2
6.5.2118.3
6.5.2118.4
6.5.2123.5
6.5.2123.7
6.5.2123.8
6.5.2132.1
6.5.2132.2
ESET File Security for Windows 6.5.2000+
Version
6.5.12002.1
6.5.12002.0
6.5.12004.0
6.5.12007.0
6.5.12010.0
6.5.12013.0
6.5.12014.0
6.5.12017.0
6.5.12018.0
ESET Mail Security for Microsoft Exchange Server 6.5
Version
6.5.10057
6.5.10059

ESET Security for Kerio 6.5
ESET Mail Security for Lotus Domino 6.5.14026
ESET Security for Sharepoint Server 6.5
ESET NOD32 Antivirus/ESET Smart Security 9

 

Ce problème n'affecte pas les dernières versions de nos produits, y compris les versions de ESET Endpoint Antivirus/ESET Endpoint Security - 6.6.2089 et 7.2 et ESET File Security for Windows 7.1.12018.

ESET a identifié que notre noyau a un problème avec la vérification de l'horodatage d'un certificat déjà expiré (expiré le 7 février 2020). Cette méthode échoue et nos modules dans les anciennes versions sont déclarés comme non fiables et ne sont donc pas chargés. Ce mécanisme garantit qu'aucune bibliothèque non fiable n'est chargée.

Par conséquent, les versions concernées ne chargent pas les modules (pare-feu, HIPS, mis à jour, contrôle des périphériques, protection du Web et du courrier électronique) et ne sont pas fonctionnelles, et par conséquent la protection n'est pas fonctionnelle.

Symptômes

Pour les versions antérieures à 5.0.2271.x, les symptômes sont :

  • Echec du chargement des modules
  • L'interface graphique de la fenêtre principale est en anglais et le logo montre ESET Smart Security 5 au lieu de Endpoint Security

Pour les versions 6.5.x, les symptômes sont :

  • Le produit signale que l'antiphishing est désactivé
  • Le produit signale qu'il n'est pas activé
  • Les paramètres avancés du produit présentent des lacunes

S'ils sont gérés par ESET Remote Administrator ou ESET Security management Center, les alertes seront affichées sur la console ESET

Solution

Important!

Si vous utilisez des versions affectées et que le problème ne se manifeste pas, ne redémarrez pas la machine et effectuez immédiatement la mise à niveau.

Les scénarios suivants sont disponibles :

  1. Si vous n'avez pas encore redémarré votre ordinateur avec le produit ESET Endpoint, attendez la mise à jour du module, ou mettez à niveau vers la dernière version si possible.

  2. Si vous avez redémarré votre ordinateur avec le produit ESET Endpoint v6.5, utilisez l'outil de correction et effectuez la mise à niveau vers la dernière version si possible. ESET a préparé l'outil de correction pour les utilisateurs concernés qui peut être appliqué pour les versions d'ESET Endpoint mentionnées ci-dessous :

6.5.2118
6.5.2123
6.5.2132

Utilisez l'outil de correction pour les versions suivantes de ESET Security for Windows Servers :

6.5.12017
6.5.12018
6.5.14026
6.5.10057
6.5.10059

Si vous avez le produit ESET Endpoint 6.5.2132 fonctionnant sous Windows XP, utilisez l'outil de fixation. Nous vous fournirons une nouvelle version de ESET Endpoint Antivirus/ESET Endpoint Security qui sera compatible avec Windows XP.

L'outil de correction peut être exécuté ou téléchargé sur la machine et exécuté automatiquement avec le script :

powershell -command "& {(New-Object System.Net.WebClient).DownloadFile('http://help.eset.com/eset_tools/CertFix.exe', '%temp%\CertFix.exe');(Start-process '%temp%\CertFix.exe' -NoNewWindow)}" > C:\CertFix.log

ou si elle est gérée à distance, en tant que tâche client dans l'ESMC → Système d'exploitation → exécuter une commande.

Télécharger CertFix.exe.  Si vous ne pouvez pas télécharger un fichier exécutable avec votre navigateur, téléchargez CertFix.rar.

NOTE:

Windows PowerShell est installé par défaut dans chaque Windows, à partir de Windows 7 SP1 et Windows Server 2008 R2 SP1.

Important!
Nous recommandons de mettre à jour ESET Endpoint Antivirus/ESET Endpoint Security 5 en désinstallant la version 5 et en installant la dernière version ESET Endpoint Antivirus/ESET Endpoint Security 7.2. Si vous voulez quand même exécuter la version 5, nous vous recommandons de mettre à niveau vers la version 5.0.2271.x qui n'est pas affectée.
 
Nous vous conseillons vivement de mettre à jour ESET Endpoint Antivirus/ESET Endpoint Security 6.5 vers la dernière version de ESET Endpoint Antivirus/ESET Endpoint Security 7.2.

Nous recommandons de mettre à niveau les produits Serveur version 6.5 vers les versions suivantes :

ESET File Security for Windows 7.1
ESET Mail Security for Microsoft Exchange Server 7.1
ESET Mail Security for IBM Domino 7.1
ESET Security for Sharepoint Server 7.1

Pour ESET Security for Kerio 6.5, nous y travaillons et nous le ferons corriger dès que possible.

Si vos machines sont déjà touchées par ce problème et que vous ne pouvez pas désinstaller et/ou mettre à niveau les produits ESET, veuillez contacter le support technique ESET de votre région qui vous fournira une solution et vous guidera dans le processus.

Si vous avez des préoccupations ou des questions - ou si vous ne pouvez pas mettre à jour vos produits vers les dernières versions - n'hésitez pas à contacter le support technique ESET de votre région.

Assistance supplémentaire